# SyncAllDiscountCodes

> Re-push every discount code to its providers. Write access, discounts toolset, MCP tool sync_all_discount_codes.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

This operation takes no variables.

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"SyncAllDiscountCodes","variables":{},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"9b9306d120f82a13aea6573f331f207f2a6eab5b5ce501ceaf88f3fcd47a9a66"}}}'
```

## Document

```graphql
mutation SyncAllDiscountCodes { __typename syncAllDiscountCodes { __typename skipped total userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/discounts/sync-all-discount-codes
